# DmasApi

All URIs are relative to *https://forecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**dmasDmaIdDaysDateGet**](DmasApi.md#dmasDmaIdDaysDateGet) | **GET** /dmas/{dmaId}/days/{date} | A day of forecast data for a DMA.
[**dmasDmaIdDaysDateStartdateEndGet**](DmasApi.md#dmasDmaIdDaysDateStartdateEndGet) | **GET** /dmas/{dmaId}/days/{dateStart},{dateEnd} | A contiguous range of daily forecast data for a DMA.
[**dmasDmaIdDaysGet**](DmasApi.md#dmasDmaIdDaysGet) | **GET** /dmas/{dmaId}/days | The complete daily forecast for a DMA.
[**dmasDmaIdHoursGet**](DmasApi.md#dmasDmaIdHoursGet) | **GET** /dmas/{dmaId}/hours | The complete hourly forecast for a DMA
[**dmasDmaIdHoursTimestampGet**](DmasApi.md#dmasDmaIdHoursTimestampGet) | **GET** /dmas/{dmaId}/hours/{timestamp} | An hour of forecast data for a DMA
[**dmasDmaIdHoursTimestampStarttimestampEndGet**](DmasApi.md#dmasDmaIdHoursTimestampStarttimestampEndGet) | **GET** /dmas/{dmaId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly forecast data for a DMA.

<a name="dmasDmaIdDaysDateGet"></a>
# **dmasDmaIdDaysDateGet**
> ForecastDmaDayObj dmasDmaIdDaysDateGet(dmaId, date, fields, unitScale)

A day of forecast data for a DMA.

Returns a single day of forecast data for a Designated Market Area. The provided date must exist within the current valid 15-day forecast range.

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = DmasApi()
val dmaId : kotlin.Int = 56 // kotlin.Int | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).
val date : java.time.LocalDate = 2013-10-20 // java.time.LocalDate | An date formatted as a RFC3339 date value.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : ForecastDmaDayObj = apiInstance.dmasDmaIdDaysDateGet(dmaId, date, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling DmasApi#dmasDmaIdDaysDateGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling DmasApi#dmasDmaIdDaysDateGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **kotlin.Int**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). |
 **date** | **java.time.LocalDate**| An date formatted as a RFC3339 date value. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, cldCvrMin, cldCvrAvg, cldCvrMax, dewPtMin, dewPtAvg, dewPtMax, feelsLikeMin, feelsLikeAvg, feelsLikeMax, heatIndexMin, heatIndexAvg, heatIndexMax, mslPresMin, mslPresAvg, mslPresMax, precip, precipProb, radSolarMin, radSolarAvg, radSolarMax, radSolarTot, relHumMin, relHumAvg, relHumMax, sfcPresMin, sfcPresAvg, sfcPresMax, snowfall, snowfallProb, spcHumMin, spcHumAvg, spcHumMax, tempMin, tempAvg, tempMax, wetBulbMin, wetBulbAvg, wetBulbMax, windChillMin, windChillAvg, windChillMax, windDirAvg, windDir80mAvg, windDir100mAvg, windSpdMin, windSpdAvg, windSpdMax, windSpd80mMin, windSpd80mAvg, windSpd80mMax, windSpd100mMin, windSpd100mAvg, windSpd100mMax, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**ForecastDmaDayObj**](ForecastDmaDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="dmasDmaIdDaysDateStartdateEndGet"></a>
# **dmasDmaIdDaysDateStartdateEndGet**
> ForecastDmaDayObj dmasDmaIdDaysDateStartdateEndGet(dmaId, dateStart, dateEnd, fields, unitScale)

A contiguous range of daily forecast data for a DMA.

Returns a contiguous range of daily forecast data for a Designated Market Area. The provided dates must exist within the current valid 15-day forecast range.

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = DmasApi()
val dmaId : kotlin.Int = 56 // kotlin.Int | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).
val dateStart : java.time.LocalDate = 2013-10-20 // java.time.LocalDate | An date formatted as a RFC3339 date value that must occur temporally before dateEnd.
val dateEnd : java.time.LocalDate = 2013-10-20 // java.time.LocalDate | An date formatted as a RFC3339 date value that must occur temporally after dateStart.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : ForecastDmaDayObj = apiInstance.dmasDmaIdDaysDateStartdateEndGet(dmaId, dateStart, dateEnd, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling DmasApi#dmasDmaIdDaysDateStartdateEndGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling DmasApi#dmasDmaIdDaysDateStartdateEndGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **kotlin.Int**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). |
 **dateStart** | **java.time.LocalDate**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. |
 **dateEnd** | **java.time.LocalDate**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, cldCvrMin, cldCvrAvg, cldCvrMax, dewPtMin, dewPtAvg, dewPtMax, feelsLikeMin, feelsLikeAvg, feelsLikeMax, heatIndexMin, heatIndexAvg, heatIndexMax, mslPresMin, mslPresAvg, mslPresMax, precip, precipProb, radSolarMin, radSolarAvg, radSolarMax, radSolarTot, relHumMin, relHumAvg, relHumMax, sfcPresMin, sfcPresAvg, sfcPresMax, snowfall, snowfallProb, spcHumMin, spcHumAvg, spcHumMax, tempMin, tempAvg, tempMax, wetBulbMin, wetBulbAvg, wetBulbMax, windChillMin, windChillAvg, windChillMax, windDirAvg, windDir80mAvg, windDir100mAvg, windSpdMin, windSpdAvg, windSpdMax, windSpd80mMin, windSpd80mAvg, windSpd80mMax, windSpd100mMin, windSpd100mAvg, windSpd100mMax, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**ForecastDmaDayObj**](ForecastDmaDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="dmasDmaIdDaysGet"></a>
# **dmasDmaIdDaysGet**
> ForecastDmaDayObj dmasDmaIdDaysGet(dmaId, fields, unitScale)

The complete daily forecast for a DMA.

Returns the complete set of forecast data for a Designated Market Area.&lt;br&gt;&lt;br&gt;**Alternatively using a query that specificies just the days required for your purposes will improve the query response time.**

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = DmasApi()
val dmaId : kotlin.Int = 56 // kotlin.Int | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : ForecastDmaDayObj = apiInstance.dmasDmaIdDaysGet(dmaId, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling DmasApi#dmasDmaIdDaysGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling DmasApi#dmasDmaIdDaysGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **kotlin.Int**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, cldCvrMin, cldCvrAvg, cldCvrMax, dewPtMin, dewPtAvg, dewPtMax, feelsLikeMin, feelsLikeAvg, feelsLikeMax, heatIndexMin, heatIndexAvg, heatIndexMax, mslPresMin, mslPresAvg, mslPresMax, precip, precipProb, radSolarMin, radSolarAvg, radSolarMax, radSolarTot, relHumMin, relHumAvg, relHumMax, sfcPresMin, sfcPresAvg, sfcPresMax, snowfall, snowfallProb, spcHumMin, spcHumAvg, spcHumMax, tempMin, tempAvg, tempMax, wetBulbMin, wetBulbAvg, wetBulbMax, windChillMin, windChillAvg, windChillMax, windDirAvg, windDir80mAvg, windDir100mAvg, windSpdMin, windSpdAvg, windSpdMax, windSpd80mMin, windSpd80mAvg, windSpd80mMax, windSpd100mMin, windSpd100mAvg, windSpd100mMax, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**ForecastDmaDayObj**](ForecastDmaDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="dmasDmaIdHoursGet"></a>
# **dmasDmaIdHoursGet**
> ForecastDmaHourObj dmasDmaIdHoursGet(dmaId, fields, unitScale)

The complete hourly forecast for a DMA

Returns the complete set of forecast data for a Designated Market Area.&lt;br&gt;&lt;br&gt;**Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.**

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = DmasApi()
val dmaId : kotlin.Int = 56 // kotlin.Int | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : ForecastDmaHourObj = apiInstance.dmasDmaIdHoursGet(dmaId, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling DmasApi#dmasDmaIdHoursGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling DmasApi#dmasDmaIdHoursGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **kotlin.Int**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, cldCvr, dewPt, feelsLike, heatIndex, mslPres, precip, precipProb, radSolar, relHum, sfcPres, snowfall, snowfallProb, spcHum, temp, wetBulb, windChill, windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**ForecastDmaHourObj**](ForecastDmaHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="dmasDmaIdHoursTimestampGet"></a>
# **dmasDmaIdHoursTimestampGet**
> ForecastDmaHourObj dmasDmaIdHoursTimestampGet(dmaId, timestamp, fields, unitScale)

An hour of forecast data for a DMA

Returns a single hour of forecast data for a Designated Market Area. The provided timestamp must exist within the current valid 10-day forecast range.

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = DmasApi()
val dmaId : kotlin.Int = 56 // kotlin.Int | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).
val timestamp : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value. The UTC offset is required.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : ForecastDmaHourObj = apiInstance.dmasDmaIdHoursTimestampGet(dmaId, timestamp, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling DmasApi#dmasDmaIdHoursTimestampGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling DmasApi#dmasDmaIdHoursTimestampGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **kotlin.Int**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). |
 **timestamp** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, cldCvr, dewPt, feelsLike, heatIndex, mslPres, precip, precipProb, radSolar, relHum, sfcPres, snowfall, snowfallProb, spcHum, temp, wetBulb, windChill, windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**ForecastDmaHourObj**](ForecastDmaHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="dmasDmaIdHoursTimestampStarttimestampEndGet"></a>
# **dmasDmaIdHoursTimestampStarttimestampEndGet**
> ForecastDmaHourObj dmasDmaIdHoursTimestampStarttimestampEndGet(dmaId, timestampStart, timestampEnd, fields, unitScale)

A contiguous range of hourly forecast data for a DMA.

Returns a contiguous range of hourly forecast data for a Designated Market Area. The provided timestamps must exist within the current valid 10-day forecast range.

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = DmasApi()
val dmaId : kotlin.Int = 56 // kotlin.Int | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).
val timestampStart : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required.
val timestampEnd : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : ForecastDmaHourObj = apiInstance.dmasDmaIdHoursTimestampStarttimestampEndGet(dmaId, timestampStart, timestampEnd, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling DmasApi#dmasDmaIdHoursTimestampStarttimestampEndGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling DmasApi#dmasDmaIdHoursTimestampStarttimestampEndGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **kotlin.Int**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). |
 **timestampStart** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. |
 **timestampEnd** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | [enum: timestampInit, cldCvr, dewPt, feelsLike, heatIndex, mslPres, precip, precipProb, radSolar, relHum, sfcPres, snowfall, snowfallProb, spcHum, temp, wetBulb, windChill, windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m, all, allCldCvr, allHum, allPrecip, allPres, allRad, allTemp, allWind, popular]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**ForecastDmaHourObj**](ForecastDmaHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

