/**
 * Weather Source Forecast API
 * Daily and hourly forecast data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. Hourly forecast is up to 10 days out from current day. Daily forecast is up to 15 days out from current day. The Weather Source Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CountryCode
import io.swagger.client.models.CountryName
import io.swagger.client.models.DmaId
import io.swagger.client.models.DmaName
import io.swagger.client.models.Grid
import io.swagger.client.models.Population
import io.swagger.client.models.SamplePoints
import io.swagger.client.models.Timezone

/**
 * A Designated Market Area location metadata object
 * @param dmaId 
 * @param dmaName 
 * @param timezone 
 * @param population 
 * @param countryCode 
 * @param countryName 
 * @param samplePoints 
 * @param grid 
 */
data class DmaObj (
    val dmaId: DmaId,
    val dmaName: DmaName,
    val timezone: Timezone,
    val population: Population,
    val countryCode: CountryCode,
    val countryName: CountryName,
    val samplePoints: SamplePoints,
    val grid: Grid

) {
}