/**
 * Weather Source Forecast API
 * Daily and hourly forecast data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. Hourly forecast is up to 10 days out from current day. Daily forecast is up to 15 days out from current day. The Weather Source Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CldCvrAvg
import io.swagger.client.models.CldCvrMax
import io.swagger.client.models.CldCvrMin
import io.swagger.client.models.DewPtAvg
import io.swagger.client.models.DewPtMax
import io.swagger.client.models.DewPtMin
import io.swagger.client.models.FeelsLikeAvg
import io.swagger.client.models.FeelsLikeMax
import io.swagger.client.models.FeelsLikeMin
import io.swagger.client.models.HeatIndexAvg
import io.swagger.client.models.HeatIndexMax
import io.swagger.client.models.HeatIndexMin
import io.swagger.client.models.MslPresAvg
import io.swagger.client.models.MslPresMax
import io.swagger.client.models.MslPresMin
import io.swagger.client.models.Precip
import io.swagger.client.models.PrecipProb
import io.swagger.client.models.RadSolarAvg
import io.swagger.client.models.RadSolarMax
import io.swagger.client.models.RadSolarMin
import io.swagger.client.models.RadSolarTot
import io.swagger.client.models.RelHumAvg
import io.swagger.client.models.RelHumMax
import io.swagger.client.models.RelHumMin
import io.swagger.client.models.SfcPresAvg
import io.swagger.client.models.SfcPresMax
import io.swagger.client.models.SfcPresMin
import io.swagger.client.models.Snowfall
import io.swagger.client.models.SnowfallProb
import io.swagger.client.models.SpcHumAvg
import io.swagger.client.models.SpcHumMax
import io.swagger.client.models.SpcHumMin
import io.swagger.client.models.TempAvg
import io.swagger.client.models.TempMax
import io.swagger.client.models.TempMin
import io.swagger.client.models.TimestampInit
import io.swagger.client.models.WetBulbAvg
import io.swagger.client.models.WetBulbMax
import io.swagger.client.models.WetBulbMin
import io.swagger.client.models.WindChillAvg
import io.swagger.client.models.WindChillMax
import io.swagger.client.models.WindChillMin
import io.swagger.client.models.WindDir100mAvg
import io.swagger.client.models.WindDir80mAvg
import io.swagger.client.models.WindDirAvg
import io.swagger.client.models.WindSpd100mAvg
import io.swagger.client.models.WindSpd100mMax
import io.swagger.client.models.WindSpd100mMin
import io.swagger.client.models.WindSpd80mAvg
import io.swagger.client.models.WindSpd80mMax
import io.swagger.client.models.WindSpd80mMin
import io.swagger.client.models.WindSpdAvg
import io.swagger.client.models.WindSpdMax
import io.swagger.client.models.WindSpdMin

/**
 * A daily weather forecast object.
 * @param date 
 * @param timestampInit 
 * @param cldCvrMin 
 * @param cldCvrAvg 
 * @param cldCvrMax 
 * @param dewPtMin 
 * @param dewPtAvg 
 * @param dewPtMax 
 * @param feelsLikeMin 
 * @param feelsLikeAvg 
 * @param feelsLikeMax 
 * @param heatIndexMin 
 * @param heatIndexAvg 
 * @param heatIndexMax 
 * @param mslPresMin 
 * @param mslPresAvg 
 * @param mslPresMax 
 * @param precip 
 * @param precipProb 
 * @param radSolarMin 
 * @param radSolarAvg 
 * @param radSolarMax 
 * @param radSolarTot 
 * @param relHumMin 
 * @param relHumAvg 
 * @param relHumMax 
 * @param sfcPresMin 
 * @param sfcPresAvg 
 * @param sfcPresMax 
 * @param snowfall 
 * @param snowfallProb 
 * @param spcHumMin 
 * @param spcHumAvg 
 * @param spcHumMax 
 * @param tempMin 
 * @param tempAvg 
 * @param tempMax 
 * @param wetBulbMin 
 * @param wetBulbAvg 
 * @param wetBulbMax 
 * @param windChillMin 
 * @param windChillAvg 
 * @param windChillMax 
 * @param windDirAvg 
 * @param windDir80mAvg 
 * @param windDir100mAvg 
 * @param windSpdMin 
 * @param windSpdAvg 
 * @param windSpdMax 
 * @param windSpd80mMin 
 * @param windSpd80mAvg 
 * @param windSpd80mMax 
 * @param windSpd100mMin 
 * @param windSpd100mAvg 
 * @param windSpd100mMax 
 */
data class ForecastDayObj (
    val date: java.time.LocalDate
,
    val timestampInit: TimestampInit? = null,
    val cldCvrMin: CldCvrMin? = null,
    val cldCvrAvg: CldCvrAvg? = null,
    val cldCvrMax: CldCvrMax? = null,
    val dewPtMin: DewPtMin? = null,
    val dewPtAvg: DewPtAvg? = null,
    val dewPtMax: DewPtMax? = null,
    val feelsLikeMin: FeelsLikeMin? = null,
    val feelsLikeAvg: FeelsLikeAvg? = null,
    val feelsLikeMax: FeelsLikeMax? = null,
    val heatIndexMin: HeatIndexMin? = null,
    val heatIndexAvg: HeatIndexAvg? = null,
    val heatIndexMax: HeatIndexMax? = null,
    val mslPresMin: MslPresMin? = null,
    val mslPresAvg: MslPresAvg? = null,
    val mslPresMax: MslPresMax? = null,
    val precip: Precip? = null,
    val precipProb: PrecipProb? = null,
    val radSolarMin: RadSolarMin? = null,
    val radSolarAvg: RadSolarAvg? = null,
    val radSolarMax: RadSolarMax? = null,
    val radSolarTot: RadSolarTot? = null,
    val relHumMin: RelHumMin? = null,
    val relHumAvg: RelHumAvg? = null,
    val relHumMax: RelHumMax? = null,
    val sfcPresMin: SfcPresMin? = null,
    val sfcPresAvg: SfcPresAvg? = null,
    val sfcPresMax: SfcPresMax? = null,
    val snowfall: Snowfall? = null,
    val snowfallProb: SnowfallProb? = null,
    val spcHumMin: SpcHumMin? = null,
    val spcHumAvg: SpcHumAvg? = null,
    val spcHumMax: SpcHumMax? = null,
    val tempMin: TempMin? = null,
    val tempAvg: TempAvg? = null,
    val tempMax: TempMax? = null,
    val wetBulbMin: WetBulbMin? = null,
    val wetBulbAvg: WetBulbAvg? = null,
    val wetBulbMax: WetBulbMax? = null,
    val windChillMin: WindChillMin? = null,
    val windChillAvg: WindChillAvg? = null,
    val windChillMax: WindChillMax? = null,
    val windDirAvg: WindDirAvg? = null,
    val windDir80mAvg: WindDir80mAvg? = null,
    val windDir100mAvg: WindDir100mAvg? = null,
    val windSpdMin: WindSpdMin? = null,
    val windSpdAvg: WindSpdAvg? = null,
    val windSpdMax: WindSpdMax? = null,
    val windSpd80mMin: WindSpd80mMin? = null,
    val windSpd80mAvg: WindSpd80mAvg? = null,
    val windSpd80mMax: WindSpd80mMax? = null,
    val windSpd100mMin: WindSpd100mMin? = null,
    val windSpd100mAvg: WindSpd100mAvg? = null,
    val windSpd100mMax: WindSpd100mMax? = null
) {
}