/**
 * Weather Source Forecast API
 * Daily and hourly forecast data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. Hourly forecast is up to 10 days out from current day. Daily forecast is up to 15 days out from current day. The Weather Source Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CldCvr
import io.swagger.client.models.DewPt
import io.swagger.client.models.FeelsLike
import io.swagger.client.models.HeatIndex
import io.swagger.client.models.MslPres
import io.swagger.client.models.Precip
import io.swagger.client.models.PrecipProb
import io.swagger.client.models.RadSolar
import io.swagger.client.models.RelHum
import io.swagger.client.models.SfcPres
import io.swagger.client.models.Snowfall
import io.swagger.client.models.SnowfallProb
import io.swagger.client.models.SpcHum
import io.swagger.client.models.Temp
import io.swagger.client.models.TimestampInit
import io.swagger.client.models.WetBulb
import io.swagger.client.models.WindChill
import io.swagger.client.models.WindDir
import io.swagger.client.models.WindDir100m
import io.swagger.client.models.WindDir80m
import io.swagger.client.models.WindSpd
import io.swagger.client.models.WindSpd100m
import io.swagger.client.models.WindSpd80m
import java.sql.Timestamp

/**
 * An hourly weather forecast object.
 * @param timestamp 
 * @param timestampInit 
 * @param cldCvr 
 * @param dewPt 
 * @param feelsLike 
 * @param heatIndex 
 * @param mslPres 
 * @param precip 
 * @param precipProb 
 * @param radSolar 
 * @param relHum 
 * @param sfcPres 
 * @param snowfall 
 * @param snowfallProb 
 * @param spcHum 
 * @param temp 
 * @param wetBulb 
 * @param windChill 
 * @param windDir 
 * @param windDir80m 
 * @param windDir100m 
 * @param windSpd 
 * @param windSpd80m 
 * @param windSpd100m 
 */
data class ForecastHourObj (
    val timestamp: Timestamp
,
    val timestampInit: TimestampInit? = null,
    val cldCvr: CldCvr? = null,
    val dewPt: DewPt? = null,
    val feelsLike: FeelsLike? = null,
    val heatIndex: HeatIndex? = null,
    val mslPres: MslPres? = null,
    val precip: Precip? = null,
    val precipProb: PrecipProb? = null,
    val radSolar: RadSolar? = null,
    val relHum: RelHum? = null,
    val sfcPres: SfcPres? = null,
    val snowfall: Snowfall? = null,
    val snowfallProb: SnowfallProb? = null,
    val spcHum: SpcHum? = null,
    val temp: Temp? = null,
    val wetBulb: WetBulb? = null,
    val windChill: WindChill? = null,
    val windDir: WindDir? = null,
    val windDir80m: WindDir80m? = null,
    val windDir100m: WindDir100m? = null,
    val windSpd: WindSpd? = null,
    val windSpd80m: WindSpd80m? = null,
    val windSpd100m: WindSpd100m? = null
) {
}