/**
 * Weather Source Forecast API
 * Daily and hourly forecast data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. Hourly forecast is up to 10 days out from current day. Daily forecast is up to 15 days out from current day. The Weather Source Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CountryCode
import io.swagger.client.models.CountryName
import io.swagger.client.models.Grid
import io.swagger.client.models.Latitude
import io.swagger.client.models.Longitude
import io.swagger.client.models.OnpointId
import io.swagger.client.models.SubdivCode
import io.swagger.client.models.SubdivName
import io.swagger.client.models.Timezone

/**
 * An OnPoint™ point location metadata object
 * @param onpointId 
 * @param latitude 
 * @param longitude 
 * @param timezone 
 * @param countryCode 
 * @param countryName 
 * @param subdivCode 
 * @param subdivName 
 * @param grid 
 */
data class OnpointObj (
    val onpointId: OnpointId,
    val latitude: Latitude,
    val longitude: Longitude,
    val timezone: Timezone,
    val grid: Grid
,
    val countryCode: CountryCode? = null,
    val countryName: CountryName? = null,
    val subdivCode: SubdivCode? = null,
    val subdivName: SubdivName? = null
) {
}